X2Go Bug report logs - #165
Windows session is not set to maximun area available

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>

Date: Sun, 14 Apr 2013 15:48:02 UTC

Severity: normal

Tags: patch, pending

Found in version 4.0.1.1

Fixed in version 4.0.1.1

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#165; Package x2goclient. (Sun, 14 Apr 2013 15:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 14 Apr 2013 15:48:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
To: submit@bugs.x2go.org
Subject: Windows session is not set to maximun area available
Date: Sun, 14 Apr 2013 17:44:06 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.1.1

If you set the session configuration file to use all available area it
doesn't work.

I attach a patch to repair it.

Regards,
[0001-bug-maximun-screen-available-for-a-session.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#165; Package x2goclient. (Mon, 15 Apr 2013 07:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 15 Apr 2013 07:18:02 GMT) (full text, mbox, link).


Message #10 received at 165@bugs.x2go.org (full text, mbox, reply):

From: Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>
To: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>, 165@bugs.x2go.org, x2go-dev@lists.berlios.de
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#165: Windows session is not set to maximun area available
Date: Mon, 15 Apr 2013 08:58:52 +0200
[Message part 1 (text/plain, inline)]
On 2013-04-14 17:44, Ricardo Díaz Martín wrote:
> +//        height=st->setting()->value ( sid+"/height",
> +//                                      ( QVariant ) defaultHeight ).toInt();
> +//        width=st->setting()->value ( sid+"/width",
> +//                                     ( QVariant ) defaultWidth ).toInt();

Hi,

is there any reason to keep this code? If it's not needed, just remove it.

Cheers
Morty

-- 
Dipl.-Ing. Moritz 'Morty' Struebe (Wissenschaftlicher Mitarbeiter)
Lehrstuhl für Informatik 4 (Verteilte Systeme und Betriebssysteme)
Friedrich-Alexander-Universität Erlangen-Nürnberg
Martensstr. 1
91058 Erlangen

Tel   : +49 9131 85-25419
Fax   : +49 9131 85-28732
eMail : struebe@informatik.uni-erlangen.de
WWW   : http://www4.informatik.uni-erlangen.de/~morty



[smime.p7s (application/pkcs7-signature, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#165; Package x2goclient. (Mon, 15 Apr 2013 21:30:18 GMT) (full text, mbox, link).


Acknowledgement sent to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 15 Apr 2013 21:30:18 GMT) (full text, mbox, link).


Message #15 received at 165@bugs.x2go.org (full text, mbox, reply):

From: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
To: Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>
Cc: 165@bugs.x2go.org, x2go-dev@lists.berlios.de, submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#165: Windows session is not set to maximun area available
Date: Mon, 15 Apr 2013 23:19:42 +0200
[Message part 1 (text/plain, inline)]
Upss... Something wrong using git. Sorry

Regards,
Ricardo

2013/4/15 Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>:
> On 2013-04-14 17:44, Ricardo Díaz Martín wrote:
>> +//        height=st->setting()->value ( sid+"/height",
>> +//                                      ( QVariant ) defaultHeight ).toInt();
>> +//        width=st->setting()->value ( sid+"/width",
>> +//                                     ( QVariant ) defaultWidth ).toInt();
>
> Hi,
>
> is there any reason to keep this code? If it's not needed, just remove it.
>
> Cheers
> Morty
>
> --
> Dipl.-Ing. Moritz 'Morty' Struebe (Wissenschaftlicher Mitarbeiter)
> Lehrstuhl für Informatik 4 (Verteilte Systeme und Betriebssysteme)
> Friedrich-Alexander-Universität Erlangen-Nürnberg
> Martensstr. 1
> 91058 Erlangen
>
> Tel   : +49 9131 85-25419
> Fax   : +49 9131 85-28732
> eMail : struebe@informatik.uni-erlangen.de
> WWW   : http://www4.informatik.uni-erlangen.de/~morty
>
>
>
[0002-bug-maximun-screen-available-for-a-session.patch (application/octet-stream, attachment)]

Added tag(s) patch. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 15 Apr 2013 21:42:41 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#165; Package x2goclient. (Thu, 18 Apr 2013 07:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 18 Apr 2013 07:03:02 GMT) (full text, mbox, link).


Message #22 received at 165@bugs.x2go.org (full text, mbox, reply):

From: Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>
To: Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>
Cc: x2go-dev@lists.berlios.de, submit@bugs.x2go.org, 165@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#165: Bug#165: Windows session is not set to maximun area available
Date: Thu, 18 Apr 2013 08:50:29 +0200
[Message part 1 (text/plain, inline)]
Hi again,

Last patch for this issue. Sorry for the extra work!


2013/4/15 Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>

> Upss... Something wrong using git. Sorry
>
> Regards,
> Ricardo
>
> 2013/4/15 Moritz Struebe <Moritz.Struebe@informatik.uni-erlangen.de>:
> > On 2013-04-14 17:44, Ricardo Díaz Martín wrote:
> >> +//        height=st->setting()->value ( sid+"/height",
> >> +//                                      ( QVariant ) defaultHeight
> ).toInt();
> >> +//        width=st->setting()->value ( sid+"/width",
> >> +//                                     ( QVariant ) defaultWidth
> ).toInt();
> >
> > Hi,
> >
> > is there any reason to keep this code? If it's not needed, just remove
> it.
> >
> > Cheers
> > Morty
> >
> > --
> > Dipl.-Ing. Moritz 'Morty' Struebe (Wissenschaftlicher Mitarbeiter)
> > Lehrstuhl für Informatik 4 (Verteilte Systeme und Betriebssysteme)
> > Friedrich-Alexander-Universität Erlangen-Nürnberg
> > Martensstr. 1
> > 91058 Erlangen
> >
> > Tel   : +49 9131 85-25419
> > Fax   : +49 9131 85-28732
> > eMail : struebe@informatik.uni-erlangen.de
> > WWW   : http://www4.informatik.uni-erlangen.de/~morty
> >
> >
> >
>
> _______________________________________________
> X2Go-Dev mailing list
> X2Go-Dev@lists.berlios.de
> https://lists.berlios.de/mailman/listinfo/x2go-dev
>
[Message part 2 (text/html, inline)]
[0003-bug-maximum-screen-available-for-a-session.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#165; Package x2goclient. (Sat, 18 May 2013 19:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 18 May 2013 19:03:01 GMT) (full text, mbox, link).


Message #27 received at 165@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 165-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 165@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sat, 18 May 2013 20:59:39 +0200 (CEST)
tag #165 pending
fixed #165 4.0.1.1
thanks

Hello,

X2Go issue #165 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=1830e1f

The issue will most likely be fixed in src:x2goclient (4.0.1.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 1830e1f54afad8750cef92cb59c866bbe0356795
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat May 18 20:59:25 2013 +0200

    Fix detection of maximum screen area available for a session. (Fixes: #165).

diff --git a/debian/changelog b/debian/changelog
index b8ecce2..c203fd1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,11 @@ x2goclient (4.0.1.1-0~x2go1) UNRELEASED; urgency=low
       Let's consider a given SSH private key that fails to log the user
       in as an overall login failure. (Fixes: #141).
 
+  [ Ricardo Díaz Martín ]
+  * New upstream version (4.0.1.1):
+    - Fix detection of maximum screen area available for a session. (Fixes:
+      #165).
+
   [ Otto Kjell ]
   * New upstream version (4.0.1.1):
     - Enable debug mode through cmd line parameter. (Fixes: #142).


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 May 2013 19:03:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 May 2013 19:03:02 GMT) (full text, mbox, link).


Message sent on to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Bug#165. (Sat, 18 May 2013 19:03:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#165; Package x2goclient. (Sat, 25 May 2013 05:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Britt-Inger Nilsson <Britt-Inger.Nilsson@karlskrona.se>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 25 May 2013 05:48:01 GMT) (full text, mbox, link).


Message #39 received at 165@bugs.x2go.org (full text, mbox, reply):

From: Britt-Inger Nilsson <Britt-Inger.Nilsson@karlskrona.se>
To: "info@dation.org" <info@dation.org>
Subject: SV: Brief
Date: Sat, 25 May 2013 05:27:58 +0000
[Message part 1 (text/plain, inline)]

________________________________
Från: Britt-Inger Nilsson
Skickat: den 25 maj 2013 07:17
Till: Britt-Inger Nilsson
Ämne: SV: Brief

My Wife Violet and I are donating 2Million Dollars to you.Contact us via my wife email at (violet-foundation03@hotmail.com<mailto:violet-foundation03@hotmail.com>)
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#165; Package x2goclient. (Wed, 11 Sep 2013 10:18:04 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 11 Sep 2013 10:18:04 GMT) (full text, mbox, link).


Message #44 received at 165@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 165-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 165@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Wed, 11 Sep 2013 12:07:07 +0200 (CEST)
close #165
thanks

Hello,

we are very hopeful that X2Go issue #165 reported by you
has been resolved in the new release (4.0.1.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=dad4fcc24868504be24ccc9a3ab0fcac41859080;hp=1b4260f86a6fda01c5263fa3d27504677a3cdfac

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.1.1
Status: RELEASE
Date: Wed, 11 Sep 2013 12:06:02 +0200
Fixes: 141 142 151 164 165 177 179 183 214 222 226 243 255
Changes: 
 x2goclient (4.0.1.1) RELEASED; urgency=low
 .
   [ Nicolai Hansen ]
   * New upstream version (4.0.1.1):
     - Update Danish translation file.
 .
   [ Terje Andersen ]
   * New upstream version (4.0.1.1):
     - Update Norwegian Bokmaal translation file.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.1.1):
     - Use "127.0.0.1" instead of localhost to avoid wrong IPv6 hostname
       resolution. (Fixes: #151).
     - Wait for x2gocmdexitmessage to return before closing in hidden mode.
     - Support for published applications in X2Go Plugin
     - Support for "shadow" mode in X2Go Plugin
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.1):
     - If a priv SSH key has been specified, skip the autologin procedure.
       Let's consider a given SSH private key that fails to log the user
       in as an overall login failure. (Fixes: #141).
     - Avoid multiple selectUserSession requests when in broker
       mode.
     - Properly set the remote server address received via selectUserSession
       method when in broker mode. (Fixes: #226).
     - Fix segmentation fault that started occurring since the custom trayIcon
       patch was applied. Segfault only occurred if the tray icon was not used.
     - Show session name in notification bubbles.
     - Update German translation.
     - Add cmdline option --broker-autologoff: Enforce re-authentication against
       X2Go Session Broker after a session has been suspended or terminated.
       (Fixes: #179).
     - Enable full access desktop sharing across user accounts. (Fixes: #222).
     - Make X2Go Client aware of the MATE desktop environment.
     - Make X2Go Client work in SSH broker mode without the need of a auth-id
       file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.1.1):
     - Call ssh_clean_pubkey_hash() for deallocating public key hashes instead of
       just calling free(). Required under MS Windows as documented in libssh2
       API. (Fixes: #243). (For further details see:
       http://api.libssh.org/master/group__libssh__session.html).
   * Provide bin:package with debug symbols for X2Go Client. (Fixes: #255).
 .
   [ Ezra Bühler ]
   * New upstream version (4.0.1.1):
     - Fix auto-resume when session type is »Single Application«. (Fixes: #183).
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Fix detection of maximum screen area available for a session. (Fixes:
       #165).
     - Use the session icon as tray icon, pop up notification bubble that informs
       about current session actions. (Fixes: #177).
     - Allow for setting maximum available desktop size as window size via the
       session profile card. Unfortunately, this feature is for now only
       available on Linux. (Fixes: #214).
 .
   [ Otto Kjell ]
   * New upstream version (4.0.1.1):
     - Enable debug mode through cmd line parameter. (Fixes: #142).
     - Standardize output to stdout+stderr and make it parseable.
 .
   [ Orion Poplawski ]
   * New upstream version (4.0.1.1):
     - Instead of using a hard-code DPI of 96, use local DPI settings for new
       sessions if not explicitly set in session profile (Fixes: #164).
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.1.1):
     - Update Swedish translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream version (4.0.1.1):
     - Update Spanish translation file.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 11 Sep 2013 10:18:11 GMT) (full text, mbox, link).


Notification sent to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Bug acknowledged by developer. (Wed, 11 Sep 2013 10:18:11 GMT) (full text, mbox, link).


Message sent on to Ricardo Díaz Martín <oceanosoftlapalma@gmail.com>:
Bug#165. (Wed, 11 Sep 2013 10:18:17 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 10 Oct 2013 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Sep 16 10:20:48 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.